.none-style {
    padding-left: 0 !important;
    padding-right: 0 !important;
    border: unset !important;
}

.schedule h5, .schedule h6, .schedule p {
    line-height: normal;
    font-family: "Bebas Neuebold";
    margin: 0;
    padding: 0;
}

.schedule h5 {
    font-size: 32px;
    margin-left: 2em;
}

.schedule .column h5 {
    margin-left: 0;
}

.schedule h6 {
    font-size: 24px;
    word-break: break-all;
}

.schedule p {
    font-size: 16px;
    letter-spacing: 0.05em;
    width: 100%;
    text-align: center;
}

.schedule-header {
    position: relative;
    top: 100px;
    margin-bottom: 100px;
}

.schedule-header ul {
    width: 30%;
}
.schedule-header ul li {
    width: 200px;
    margin-right: 15px;
    margin-bottom: 5px;
}

.table div {
    flex: 1 1 0;
}

.table .column div {
    height: 95px;
    border: 2px solid #7b7979;
    padding-left: 20px;
    padding-right: 20px;
}

.table-header {
    border: 2px solid #7b7979;
    padding-bottom: 20px;
    padding-top: 20px;
}

.table-schedule {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}

.schedule-color-point {
    position: absolute;
    height: 35px;
    width: 35px;
}

.lesson {
    cursor: pointer;
    position: relative;
    transition: background-color 0.3s;
}

.lesson-registration {
    position: absolute;
    left: 0;
    width: 100%;
    background-color: #7b7878eb;
    opacity: 0;
    border: none !important;
    transition: opacity 0.3s;
}

.lesson-registration-svg {
    width: 2.5em;
    color: white;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    position: absolute;
}

.lesson:hover {
    background-color: transparent !important;
}

.lesson:hover .lesson-registration {
    opacity: 1;
}

@media screen and (max-width: 1444px) {
    .schedule h5 {
        font-size: 2vw;
    }
    .schedule-color-point {
        height: 2vw;
        width: 2vw;
    }
    .schedule-header ul {
        width: 34vw;
    }
    .schedule-header {
        top: 80px;
    }
    .table-header h4 {
        font-size: 3.8vw;
    }
    .table .column div {
        padding-left: 15px;
        padding-right: 15px;
    }
    .schedule h6 {
        font-size: 1.6vw;
    }
}

@media screen and (max-width: 1150px) {
    .table div {
        flex: 1 1 20%;
    }
}

@media screen and (max-width: 1000px) {
    .schedule-header {
        top: 50px;
        margin-bottom: 50px;
    }
    .table .column div {
        height: 8.5vw;
        border: 1px solid #7b7979;
    }
    .schedule p {
        text-align: left !important;
    }
}

@media screen and (max-width: 833px) {
    .table div {
        flex: 1 1 20%;
    }
}

@media screen and (max-width: 650px) {
    .table div {
        flex: 1 1 25%;
    }
}

@media screen and (max-width: 520px) {
    .schedule h3 {
        line-height: 11.7vw !important;
        font-size: 12.7vw !important;
        margin: 0 !important;
    }
    .schedule-header ul {
        width: 80vw;
        margin-top: 20px;
    }
    .schedule-header ul li {
        width: 125px;
        margin-bottom: 10px;
    }
    .schedule-color-point {
        height: 18px;
        width: 18px;
    }
    .schedule h5 {
        font-size: 18px;
    }
    .table .column div {
        height: 60px;
        padding: 15px 10px;
    }
    .table-header h4 {
        font-size: 32px;
    }
    .table div {
        width: 125px;
        flex: unset;
    }
    .table-schedule {
        padding-top: 0 !important;
        padding-bottom: 0 !important;
    }
    .schedule p {
        font-size: 10px;
    }
    .schedule h6 {
        font-size: 16px;
    }
    .column {
        margin-bottom: 35px;
    }
}